/*
** Sequelize error code series starts from 1001
** Cassandra error code series starts from 2001
** undefined error code series starts from 3001
** Business logic error code series starts from 5001
** Internal error code series starts from 7001
*/

var constants = {};

constants.SUCCESS = 200;
constants.CREATED = 201;

constants.SEQUELIZE_DATABASE_ERROR = 1001;
constants.SEQUELIZE_VALIDATION_ERROR = 1002;
constants.SEQUELIZE_FOREIGN_KEY_CONSTRAINT_ERROR = 1003;

constants.CASSANDRA_DATABASE_ERROR = 2001;
constants.CASSANDRA_VALIDATION_ERROR = 2002;

constants.UNDEFINED_DATABASE_ERROR = 3001;
constants.UNDEFINED_ERROR = 3002;

constants.USER_DUPLICATION_ERROR = 5001; 
constants.USER_NOT_FOUND = 5002;
constants.COMPARE_PASSWORD_ERROR = 5003;
constants.PASSWORD_NOT_MATCH = 5004;
constants.VALID_CREDENTIALS = 5005;
constants.EMAIL_ALREADY_EXIST = 5006;
constants.INVALID_QUERY_PARAMETERS = 5007;
constants.ERROR_OCCURED_IN_GETTING_USER_LIST= 5008;
constants.UPDATE_DATA_ERROR= 5009;
constants.DELETE_DATA_ERROR = 5010;
constants.KEY_ALREADY_USED = 5011;
constants.ERROR_OCCURED_IN_GETTING_MASTER_LIST = 5012;
constants.NOT_AUTHORIZED = 5013;
constants.ERROR_OCCURED_IN_AUTHORIZATION = 5014;
constants.VALIDATION_ERROR = 5015;
constants.PATIENT_NOT_FOUND = 5016;
constants.ERROR_OCCURED_IN_GETTING_PATIENT_LIST = 5017;
constants.ERROR_OCCURED_IN_GETTING_PATIENT = 5018;
constants.MISSING_LIST_OF_IDS = 5019;
constants.EMAIL_OR_PHONE_NUMBER_ALREADY_EXIST = 5020;
constants.SENSOR_NOT_FOUND = 5021;
constants.ERROR_OCCURED_IN_GETTING_PATIENT_AND_QUESTIONS = 5022;
constants.ERROR_OCCURED_IN_GETTING_PATIENT_DOCTOR = 5023;
constants.QUESTION_NAME_ALREADY_EXISTS = 5024;
constants.ANSWER_ALREADY_EXISTS = 5025;
constants.RESPONSE_DOES_NOT_EXISTS = 5026;
constants.ERROR_OCCURED_IN_GETTING_SENSOR_LIST = 5027;
constants.PATIENT_SENSOR_ALREADY_EXISTS = 5028;
constants.SENSOR_ALREADY_IN_USE = 5029;
constants.EMAIL_OR_PHONE_NUMBER_MISSING = 5030;
constants.ERROR_OCCURED_IN_GETTING_SESNOR_ECG_DATA = 5031;
constants.PATIENT_ID_MISSING = 5032;
constants.ERROR_OCCURED_IN_GETTING_ECG_DATA = 5033;
constants.UNPROCESSABLE_ENTITY = 5034;
constants.TICKET_NOT_FOUND = 5035;
constants.ID_NOT_EXIT = 5036;

constants.INVALID_JSON_OBJECT = 7001;

constants.SEQUELIZE_DATABASE_ERROR_NAME = 'SequelizeDatabaseError';
constants.SEQUELIZE_VALIDATION_ERROR_NAME = 'SequelizeValidationError';
constants.SEQUELIZE_FOREIGN_KEY_CONSTRAINT_ERROR_NAME = 'SequelizeForeignKeyConstraintError';
constants.CASSANDRA_VALIDATION_ERROR_NAME = 'apollo.model.validator.invalidvalue';

module.exports = constants;